Skip to content

Update identity

Request

For primary identities, the isArchived field cannot be changed.

Security
oauth2(Required scopes: person.identity:update) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

personIdentityIdstringrequired

An identity's unique identifier.

Bodyapplication/jsonrequired
customIdentityTypeNamestring, [ 1 .. 50 ] characters^[a-zA-Z]+$

The name of a personal or business ID. Required if identityType=customID. This needs to be "one word" only US (a-zA-Z) letters. No numbers.

For example: Metrica Consular Card for Mexicans living abroad.

  • identityType=customID
  • customIdentityTypeName=metricaConsularCard
expirationDatestring or null, (date)

Date the identification expires.

identityTypestring

Personal and business identifiers that are supported. customID can be used for personal or business IDs that are not explicitly listed as one of the enum values. If you pass identityType=customID, a customIdentityTypeName is also required.

For example: Metrica Consular Card for Mexicans living abroad.

  • identityType=customID
  • customIdentityTypeName=metricaConsularCard
Enum:"SSN""ITIN""passport""driversLicense""taxID""FEIN""stateID""customID"
issueDatestring or null, (date)

Date the identification was issued.

issuingCountrystring

Country that issued the identification. English short name according to ISO 3166-1 standard.

Default:""
validboolean

Whether the identity is valid.

Default:true
valuestring

The value of a personal identifier. For example, 123456789.

isArchivedboolean

Determines whether the identity has been archived. By default, only non-archived identities are shown. Cannot be changed for primary identities.

caseIdstring

An identifier for an existing case.

PUT
/people/{personId}/identities/{personIdentityId}
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/people/{personId}/identities/{personIdentityId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customIdentityTypeName": "string",
    "expirationDate": "2019-08-24",
    "identityType": "SSN",
    "issueDate": "2019-08-24",
    "issuingCountry": "",
    "valid": true,
    "value": "string",
    "isArchived": true,
    "caseId": "string"
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Identity)

The borrower's identifier. For example, the Social Security number.

Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "customIdentityTypeName": "string", "deletedAt": "2019-08-24T14:15:22Z", "expirationDate": "2019-08-24", "id": "string", "identityType": "SSN", "issueDate": "2019-08-24", "issuingCountry": "", "object": "identity", "updatedAt": "2019-08-24T14:15:22Z", "valid": true, "value": "string", "isArchived": true, "isPrimary": false } }